[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.ReadInt64

Read Int64 value

## Declaration

Source position: inifiles.pp line 136

`public function TCustomIniFile.ReadInt64(`
`const Section: string;`
`const Ident: string;`
`Default: Int64`
`):LongInt; virtual;`

## Arguments

`Section` |  | Section to search the value in.
`Ident` |  | Key for the value in the specified section
`Default` |  | Default value if no valid value was found

## Function result

The value found at the specified location, or the default value.

## Description

ReadInt64 reads a signed 64-bit integer value from the ini file. The value is searched in the Section section, with key Ident.

If the value is not found at the specified Section, Ident pair, or the value is not a Int64 value then the Default value is returned instead.

This function is needed because ReadInteger only reads at most a 32-bit value.

## See also

ReadInteger
WriteInt64

Documentation generated on: Feb 26 2014